#ifndef _main_h
#define _main_h

#include <Application.h>
#include "ZView.h"
#include "ZWindow.h"

#define MENU_BAR_HEIGHT 	18.0

#define ZOOM_INCREMENT		0.01
#define PAN_FACTOR			7.5

#define ANIM_ZOOM_NO_FRAMES	10			
#define ZOOM_IN				1
#define ZOOM_OUT			2
#define	ZOOM_NONE			3

#define SELECT_DIR_MSG		'sdir'
#define ABOUT_MSG			'help'

#define NEXT_IMAGE_MSG		'next'
#define PREV_IMAGE_MSG		'prev'
#define	FIRST_IMAGE_MSG		'frst'
#define	LAST_IMAGE_MSG		'last'
#define ZOOM_IN_MSG			'zinm'
#define ZOOM_OUT_MSG		'zout'
#define ZOOM_FULL_MSG		'zful'

class ZViewerApp : public BApplication
{
	public:
		ZViewerApp();
		virtual void MessageReceived(BMessage *);
		virtual void RefsReceived(BMessage *);
	private:
		BFilePanel	*filepanel;
};

bool drill_through_directory(const char *path);

extern BitmapView *bitmap_view;
extern ZWindow *zv_window;
extern ZBackgroundView *zv_backview;
extern bool fullscreen;

#endif