#ifndef _ZWINDOW_H
#define _ZWINDOW_H

#include <InterfaceKit.h>
#include "ZView.h"

class ZWindow : public BWindow
{
	public:
		ZWindow(BRect);
		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage *);
		virtual void FrameResized(float, float);
				void PrepareBitmap(char *);
				
		
	private:
		void PrepareMenu(BRect);
		void PrepareTitle(char *);
		
		BMenuBar	*fmenuBar;
		BMenu		*fimage_menu;
		BMenu		*fimage_title;
		BWindow		*fwindow;
};

#endif //ifdef _ZWINDOW_H